解决Discuz! X3.4升级后无法注册的问题
征服南极 2020-11-27 06:41:18
笔者最近把网站从Discuz! X3.3升级到了Discuz! X3.4 R20200818版,升级后出现了一个问题。那就是注册新用户的时候,无论输入什么,都是提示“用户名包含敏感字符”。

解决Discuz! X3.4升级后无法注册的问题


网站搜了一下,发现此问题不再少数,很多升到此版的都出现了同样的问题。后来,我尝试从网上找一下解决方案,包括从官方那里寻求办法。但是,找了半天,基本上给的方法都差不多,而且也解决不了这个问题,试了好几个方法都是无效的。无奈之下,用文件替换解决了。下面我们两个文件比较了一下,最终看到不同之处:

解决Discuz! X3.4升级后无法注册的问题


解决Discuz! X3.4升级后无法注册的问题


第一个文件是R20200818版,下面一个是老版本的,红色字体为两者不同的地方。大家以后遇到这样的问题,可以直接改成下面的就能用,具体修改的文件为uc_server及uc_client目录下model目录里的user.php,如果你懒得改,可以直接用旧版本的文件覆盖即可。
版权声明
本文为[征服南极]所创,转载请带上原文链接,感谢
https://www.seoxiehui.cn/article-267805-1.html
相似文章

2021-08-09